<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>FFTLIB Bundle Release Notes</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="docs/relnotes_archive/tilogo.gif"></a></td>
  <td bgcolor="red"><img src="docs/relnotes_archive/titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.5.1-p1 -->
<h1 align='center'><a name='XDC_TOP'></a>FFTLIB 2.0.1.0 Release Notes</h1>
<h2 align='center'>July 18, 2014</h2>
<h1>FFTLIB Bundle Release Notes</h1>
<p>
<hr>
<p>
<h2><a class="anchor" name="Contents"></a>Contents</h2>
<p>
<ol>
<li>
<a href="#Introduction">Introduction</a> </li>
<li>
<a href="#Starting">Getting Started</a> </li>
<li>
<a href="#Documentation">Documentation</a> </li>
<li>
<a href="#Whats_New">What's New</a> </li>
<li>
<a href="#Compatibility">Upgrade and Compatibility Information</a> </li>
<li>
<a href="#Device_Support">Device Support</a> </li>
<li>
<a href="#Validation">Validation Information</a> </li>
<li>
<a href="#Known_Issues">Known Issues</a> </li>
<li>
<a href="#Support">Technical Support</a> </li>
<li>
<a href="#Component">Component Release Notes</a> </li>
</ol>
<p>
<hr>
<p>
<h2><a class="anchor" name="Introduction"></a>Introduction</h2>
<p>
The FFTLIB is an optimized library for computing the discrete Fourier transform (DFT).<ul>
<li>Supports C66x TI DSP platform for little-endian</li><li>Supports single-precision and double-precision floating point</li><li>Supports complex inputs and real inputs</li><li>Supports 1D, 2D and 3D FFT</li><li>Supports Single-core and Multi-core</li><li>API similar to FFTW, includes FFT plan and FFT execute </li></ul>
<p>
<hr>
<p>
<h2><a class="anchor" name="Starting"></a>Getting Started</h2>
<p>
The <a href="./docs/FFTLIB_Users_Manual.html">FFTLIB User's Manual</a> provides the documentation and references necessary to integrate FFTLIB Library routines into a development platform.<p>
<hr>
<p>
<h2><a class="anchor" name="Documentation"></a>Documentation</h2>
<p>
The following documentation is available:<p>
<table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
<tr>
<td valign="top"><b>User's Manual</b> </td><td align="center"><a href="./docs/FFTLIB_Users_Manual.html">[HTML]</a><br>
   </td></tr>
<tr>
<td valign="top"><b>Software Manifest</b> </td><td align="center"><a href="./docs/FFTLIB_Software_Manifest.html">[HTML]</a><br>
   </td></tr>
<tr>
<td valign="top"><b>Release Notes Archive</b> </td><td align="center"><a href="./docs/relnotes_archive">[LINK]</a>   </td></tr>
</table>
<p>
<hr>
<p>
<h2><a class="anchor" name="Whats_New"></a>What's New</h2>
<p>
The following new features were added: <ol>
<li>
Initial bundle release </li>
</ol>
<p>
The following bugs have been resolved: <ol>
<li>
N/A </li>
</ol>
<p>
<hr>
<p>
<h2><a class="anchor" name="Compatibility"></a>Upgrade and Compatibility Information</h2>
<p>
This version of <b>FFTLIB</b> is compatible with the last released version:<p>
<table rules="all" frame="box" cellspacing="2" cellpadding="2" frame="void" width="10%" border="1">
<tr>
<th bgcolor="#cccccc">YES </th><td align="center"><b></b>   </td></tr>
<tr>
<th bgcolor="#cccccc">NO </th><td align="center"><b>X</b>   </td></tr>
</table>
<p>
<table bgcolor="#ffff99" frame="box" rules="none" cellspacing="0" width="80%" border="1" cellpadding="3">
<tr>
<td valign="top"><b>Note:</b> </td><td><ol>
<li>
Package compatibility keys are independent of component release versions. For more information visit: <a href="#VersionCompat">Package Versioning and Compatibility</a> </li>
</ol>
</td></tr>
</table>
<p>
<hr>
<p>
<h2><a class="anchor" name="Device_Support"></a>Device Support</h2>
<p>
This release supports the following device families:<p>
<ul>
<li>
k2hx DSP (ELF, Little-Endian format) </li>
</ul>
<p>
<hr>
<p>
<h2><a class="anchor" name="Validation"></a>Validation Information</h2>
<p>
This release was built and validated using the following tools:<p>
<ul>
<li>
XDC Tools version: 3.25.05.94 </li>
<li>
RTSC Packaging Standard version: 2.0 </li>
<li>
C6000 Code Generation Tools version: 7.4.2 </li>
<li>
Code Composer Studio version: V5.4 </li>
<li>
GNU make version: 3.81 </li>
</ul>
<p>
<hr>
<p>
<h2><a class="anchor" name="Known_Issues"></a>Known Issues</h2>
<p>
<ol>
<li>
N/A </li>
</ol>
<p>
<hr>
<p>
<h2><a class="anchor" name="Support"></a>Technical Support</h2>
<p>
Questions regarding the FFTLIB library should be directed to the <a href="http://e2e.ti.com/support/embedded/tirtos/f/355.aspx">TI-RTOS forum</a>. Please include the text "FFTLIB" in the title and add "k2hx" and "FFTLIB" tags to your post.<p>
<hr>
<p>
<h2><a class="anchor" name="Component"></a>Component Release Notes</h2>
<p>
<ol>
<li>
<a href="./packages/ti/fftlib/fftlib_2_0_1_0_release_notes.html">FFTLIB Release Notes</a> </li>
</ol>
<p>
<hr>
 <hr>
<p>
<h2><a class="anchor" name="VersionCompat"></a>Package Versioning and Compatibility</h2>
<p>
<h3>Compatibility Keys</h3>
<p>
Compatibility keys serve two primary purposes:<p>
<ol>
<li>
Enable tooling to identify incompatibilities between components </li>
<li>
Convey a level of compatibility between different releases to set end user expectations. </li>
</ol>
<p>
Each compatibility key is composed of 4 comma-delimited numbers - represented here by the letters M, S, R and P <code><b>[M,S,R,P]</b></code>. The table below provides a descriptive reference for compatibility key intention.<p>
<table rules="all" frame="box" cellspacing="2" cellpadding="2" frame="void" width="80%" border="1">
<caption align="bottom">Compatibility Key Reference</caption>
<tr valign="top" bgcolor="#cccccc">
<th width="10%">Key  </th><th width="20%">Meaning  </th><th width="70%">Description   </th></tr>
<tr valign="top">
<td>1&nbsp;(<b>M</b>=Major) </td><td>Break in compatibility </td><td>The package consumer is required to re-write the calling source code to use the package  </td></tr>
<tr valign="top">
<td>2&nbsp;(<b>S</b>=Source) </td><td>Source compatibility </td><td>The package consumerís source code doesn't require change, but does require a recompile  </td></tr>
<tr valign="top">
<td>3&nbsp;(<b>R</b>=Radix) </td><td>Introduction of new features </td><td>Compatibility with previous interfaces is not broken. If libraries are provided by the package, an application must re-link with the new libraries, but is not required to recompile its source  </td></tr>
<tr valign="top">
<td>4&nbsp;(<b>P</b>=Patch) </td><td>Bug fixes only </td><td>If libraries are provided by the package, an application must re-link with the new libraries, but is not required to recompile its source.   </td></tr>
</table>
<p>
<hr>
<p>
<h3>Versioning</h3>
<p>
Each package version is composed of 4 period-delimited numbers - represented here by the letters M, m, p and b <code><b>[M.m.p.b]</b></code>. The table below provides a descriptive reference regarding package version numbering.<p>
<table rules="all" frame="box" cellspacing="4" cellpadding="4" frame="void" width="80%" border="1">
<caption align="bottom">Package Version Reference</caption>
<tr valign="top" bgcolor="#cccccc">
<th width="10%">Digit  </th><th width="20%">Meaning  </th><th width="70%">Description   </th></tr>
<tr valign="top">
<td>1&nbsp;(<b>M</b>=Major) </td><td>Major revision </td><td>Incremented when the new version is substantially different from the previous For example, a new module added or an existing module's algorithm significantly altered.   </td></tr>
<tr valign="top">
<td>2&nbsp;(<b>m</b>=minor) </td><td>Minor revision </td><td>Incremented when the new version has changed but not in a major way. For example, some minor changes in the API or feature set.   </td></tr>
<tr valign="top">
<td>3&nbsp;(<b>p</b>=patch) </td><td>Patch number </td><td>Incremented for all other source code changes. This include any packaging support code.   </td></tr>
<tr valign="top">
<td>4&nbsp;(<b>b</b>=build) </td><td>Build number </td><td>Incremented for each release delivery to CM. Reset for any change to M, m or p  </td></tr>
</table>
<hr size="1"><small>
Copyright  2014, Texas Instruments Incorporated</small>
</body>
</html>
